Jdeps: Error durch multi-release


#1
Hallo liebes Community,

ich möchte die Abhängigkeiten mit jdeps von H2 Database auflisten, bekomme aber immer folgende Fehlermeldung:
Code:
C:\Users\Username\Desktop\H2>jdeps --generate-module-info . h2-1.4.198.jar
Error: h2-1.4.198.jar is a multi-release jar file but --multi-release option is not set
Habe auf www.stackoverflow.com gelesen, dass es ein Bug in in Version 11 von Java sei. Habe es aber auch mit Java 12 versucht. Bekomme die gleiche Fehlermeldung.

An was liegt das? Ich möchte nämlich meine Anwendung modularisieren, damit ich meine eigene JRE (modularisiert) mitgeben kann. Mit Automatic Modules funktioniert es nicht.

MfG
gaugiByte